Name:          wss4j
Version:       2.1.5
Release:       4%{?dist}
Summary:       Apache WS-Security implementation
License:       ASL 2.0
URL:           http://ws.apache.org/wss4j/

Source0:       http://archive.apache.org/dist/ws/wss4j/%{version}/%{name}-%{version}-source-release.zip
Patch0:        wss4j-2.1.5-ehcache-core-2.6.patch

BuildRequires: maven-local
BuildRequires: mvn(com.sun.mail:javax.mail)
BuildRequires: mvn(junit:junit)
# ehcache:2.10.1 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1364535
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.commons:commons-compress)
BuildRequires: mvn(org.apache.directory.server:apacheds-kerberos-codec)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
# neethi:3.0.3
BuildRequires: mvn(org.apache.neethi:neethi)
BuildRequires: mvn(org.apache.santuario:xmlsec) >= 2.0.5
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.jasypt:jasypt)
BuildRequires: mvn(org.opensaml:opensaml-saml-impl) >= 3.1.1
BuildRequires: mvn(org.opensaml:opensaml-xacml-impl)
BuildRequires: mvn(org.opensaml:opensaml-xacml-saml-impl)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.tukaani:xz)
BuildRequires: mvn(wsdl4j:wsdl4j)
BuildRequires: mvn(xalan:xalan)
BuildRequires: mvn(xmlunit:xmlunit)

BuildArch:     noarch

%description
The Apache WSS4J project provides a Java implementation of the
primary security standards for Web Services.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1

%pom_disable_module integration

# This plugin does not impact the build, and it currently raises this error:
# Reporting mojo's can only be called from ReportDocumentRender
%pom_remove_plugin "org.apache.maven.plugins:maven-pmd-plugin"
%pom_remove_plugin "org.apache.maven.plugins:maven-checkstyle-plugin"

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"

%pom_change_dep -r net.sf.ehcache:ehcache net.sf.ehcache:ehcache-core
%pom_change_dep -r :geronimo-javamail_1.4_spec com.sun.mail:javax.mail

# VulnerabliltyVectorsTest.testMaximumAllowedDecompressedBytes:572->AbstractTestBase.doOutboundSecurity:167 ? NoClassDefFound: org.tukaani.xz.FilterOptions
%pom_add_dep org.tukaani:xz:1.5:test ws-security-stax

# OutOfMemoryError: unable to create new native thread (only on koji)
rm ws-security-stax/src/test/java/org/apache/wss4j/stax/test/AttachmentTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/DerivedKeyTokenTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/FaultTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/HeaderOrderingTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/ReplayTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/VulnerabliltyVectorsTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SamlAuthnTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SamlConditionsTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SamlTokenDerivedTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SAMLTokenHOKTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SAMLTokenReferenceTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SAMLTokenSVTest.java \
 ws-security-stax/src/test/java/org/apache/wss4j/stax/test/saml/SAMLTokenTest.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc ChangeLog.txt README.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Tue Aug 15 2017 Mat Booth <mat.booth@redhat.com> - 2.1.5-4
- Remove unnecessary checkstyle invokation

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 2.1.5-1
- update to 2.1.5

* Mon Aug 08 2016 gil cattaneo <puntogil@libero.it> 2.1.4-2
- improve ehcache-core-2.6 build fix

* Fri Aug 05 2016 gil cattaneo <puntogil@libero.it> 2.1.4-1
- update to 2.1.4

* Sun Feb 07 2016 Mat Booth <mat.booth@redhat.com> - 1.6.18-5
- Fix FTBFS due to usage of MD5withRSA algorithm

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Mat Booth <mat.booth@redhat.com> - 1.6.18-3
- Fix FTBFS due to failing tests

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 1.6.18-1
- update to 1.6.18

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.6.17-2
- introduce license macro

* Mon Oct 27 2014 gil cattaneo <puntogil@libero.it> 1.6.17-1
- update to 1.6.17 (rhbz#1157304,1157306. security fix for CVE-2014-3623)

* Tue Jul 08 2014 Marek Goldmann <mgoldman@redhat.com> - 1.6.15-1
- Upstream release 1.6.15

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.10-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Marek Goldmann <mgoldman@redhat.com> - 1.6.10-1
- Upstream release 1.6.10
- New guidelines

* Mon Mar 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.6.9-1
- Upstream release 1.6.9

* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 1.6.7-4
- Add maven-shared to BuildRequires (RHBZ#914581)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.6.7-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Oct 18 2012 Marek Goldmann <mgoldman@redhat.com> - 1.6.7-1
- Upstream release 1.6.7
- Changed build tool to Maven
- Cleanups

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-2
- Package review fixes

* Sun Feb  5 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-1
- initial build

